get
https://api.djust-app.com/v1/transactions
Returns a paginated, searchable, filterable, and sortable list of commercial transactions processed via DJUST Pay.
User scoping
OPERATORclients only for this route.
Visibility
OPERATORcan access all transactions across all suppliers.
Scope
- One row equals one commercial transaction related to a commercial order.
- Includes transactions coming from multiple PSPs.
- Provides the fields required to display the Transactions list and navigate to transaction details.
updatedAtis the timestamp of the latest payment status update and is used as the default ordering field.
Search
- Optional text search applied on commercial order references, customer account (name, externalId), PSP reference and last eventId.
Filters
- AND between different keys; OR between values of the same key.
- Supported filters:
paymentMethods,status,customerAccountIds,amountMin,amountMax,updatedAtFrom,updatedAtTo.
Sorting
- Sorting expression following the format:
<field>:<direction>. - Allowed properties:
updatedAt,amount,status,commercialOrderReference. - Default sort:
updatedAt:desc. - Invalid sorts are silently ignored.
